音频上传
curl --request POST \
--url https://api.ephone.ai/suno/v2/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_url": "https://example.com/audio.mp3"
}
'import requests
url = "https://api.ephone.ai/suno/v2/upload"
payload = { "audio_url": "https://example.com/audio.mp3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_url: 'https://example.com/audio.mp3'})
};
fetch('https://api.ephone.ai/suno/v2/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/upload"
payload := strings.NewReader("{\n \"audio_url\": \"https://example.com/audio.mp3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}用你自己的音频
音频上传
上传音频以供其他动作引用。
POST
/
suno
/
v2
/
upload
音频上传
curl --request POST \
--url https://api.ephone.ai/suno/v2/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_url": "https://example.com/audio.mp3"
}
'import requests
url = "https://api.ephone.ai/suno/v2/upload"
payload = { "audio_url": "https://example.com/audio.mp3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_url: 'https://example.com/audio.mp3'})
};
fetch('https://api.ephone.ai/suno/v2/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/upload"
payload := strings.NewReader("{\n \"audio_url\": \"https://example.com/audio.mp3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}也可以用统一任务接口
POST /v1/task/submit 提交:model 填 suno/upload,参数放进 input。两种写法效果与计费完全一样。任务结果
任务成功后,查询结果里产物的格式
任务结果
任务成功后,查询结果里产物的格式
任务成功后,结果放在
data.result 里:{
"code": "success",
"data": {
"task_id": "5adac6ee-...",
"action": "upload",
"model": "suno/upload",
"status": "SUCCESS",
"progress": "100%",
"result": {
"music_id": "89b20862-..."
}
}
}
result.music_id 是上传后的曲目 ID,上传翻唱、上传续写、参考生成等操作都可以直接引用它。授权
在请求头 Authorization: Bearer YOUR_API_KEY 里带上 API Key。
请求体
application/json
此页面对您有帮助吗?